//
//  AudioFile.h
//  SpectogramPrototype
//
//  Created by Joshua Moerman on 28/12/13.
//  Copyright (c) 2013 Joshua Moerman. All rights reserved.
//

#import <Foundation/Foundation.h>

// Uses the ExtAudioFileRef from the AudioToolkit
// Handles conversion to PCM and such
@interface AudioFile : NSObject

// Loads a file (and sets the right internal format)
+ (AudioFile*) audioFileFromURL:(NSURL*) url;

// Reads nSamples of data (left channel), return actual number of samples read
- (BOOL) fillLeft:(float*)left andRight:(float*)right forRange:(NSRange)range;

@end
