//
//  Ruler.h
//  SpectogramPrototype
//
//  Created by Joshua Moerman on 25/02/14.
//  Copyright (c) 2014 Joshua Moerman. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef struct Interval {
    CGFloat begin;
    CGFloat end;
} Interval;

@interface AbstractRuler : UIView
@property (nonatomic) Interval visibleInterval;
@end

@interface HorizontalRuler : AbstractRuler
@end

@interface VerticalRuler : AbstractRuler
@property (nonatomic) float tuning;
@end
