### Output of FFT:

``` 
	{[DC,NY],C[1],C[2],...,C[n/2]}
```

### On a sample basis
Let ps stand for "per sample"

``` C[1] ``` gives the ```1/N``` ps coefficient

``` C[2] ``` gives the ```2/N``` ps coefficient

``` C[N/2] ``` gives the ```1/2``` ps coefficient

### In seconds
Let ```f``` (=44100) be the samplerate. Then:

``` C[1] ``` gives the ```f/N``` hz coefficient

``` C[2] ``` gives the ```2f/N``` hz coefficient

``` C[N/2] ``` gives the ```f/2``` hz coefficient

### From herz to position
Let ```h``` be some frequency. Then from the above we see that for ``` m := Nh/f ``` we get the ```mf/N = h``` hz coefficient in ``` C[m]```.