//
//  UIScreen+Util.m
//  SpectogramPrototype
//
//  Created by Joshua Moerman on 25/02/14.
//  Copyright (c) 2014 Joshua Moerman. All rights reserved.
//

#import "UIScreen+Util.h"

@implementation UIScreen (Util)

// from http://stackoverflow.com/questions/3504173/detect-retina-display
+ (BOOL) isRetinaDisplay {
    static BOOL retina = NO;
    static BOOL alreadyChecked = NO;
    if (!alreadyChecked) {
        UIScreen *mainScreen = self.mainScreen;
        if (mainScreen) {
            retina = mainScreen.scale > 1.0;
            alreadyChecked = YES;
        }
    }
    return retina;
}

@end
